*** This file replicates the results for tables A2 and A3 in the puzzling paper
*** It estimates the model with various specifications and with various sample sizes


#delimit;
clear;
use sandiego.dta;
drop if stamp==0;
gen fshare=fexp_pp/totinc_pp;
drop if fshare >1;
drop if id==70016008;
drop if id==70016009;
drop if id==987;
summarize;

***********************************************
*****            The linear-in-logs model                                  ****
*****             for full stamp sample                                       ****
***********************************************;

gen temp1=fexp_pp/totinc_pp;
summarize temp1;
scalar c1=r(mean);
display c1;
gen temp2=prop*fexp_pp/totinc_pp;
summarize temp2;
scalar c2=r(mean);
display c2;

regress lnfexp_pp lntotinc_pp prop lnhsiz giftfood_pp wicfood_pp
break_pp lunch_pp femhead asguest_pp byguest_pp h0_1 h2_17 h61p;
*MPC(cashinc);
lincom c1*lntotinc_pp-c2*prop;
*MPC(stamps);
lincom c1*(lntotinc_pp+prop)-c2*prop;
*MPC(stamps)-MPC(cash);
lincom c1*prop;


***********************************************
*****            The linear-in-logs model                                  ****
*****             for single-adult stamp sample                        ****
***********************************************;

drop temp1 temp2;
scalar drop c1 c2;

gen temp1=fexp_pp/totinc_pp;
summarize temp1 if single_head==1;
scalar c1=r(mean);
display c1;
gen temp2=prop*fexp_pp/totinc_pp;
summarize temp2 if single_head==1;
scalar c2=r(mean);
display c2;

regress lnfexp_pp lntotinc_pp prop lnhsiz giftfood_pp wicfood_pp
break_pp lunch_pp femhead asguest_pp byguest_pp h0_1 h2_17 h61p if single_head==1;
*MPC(cashinc);
lincom c1*lntotinc_pp-c2*prop;
*MPC(stamps);
lincom c1*(lntotinc_pp+prop)-c2*prop;
*MPC(stamps)-MPC(cash);
lincom c1*prop;


***********************************************
*****            The linear-in-logs model                                  ****
*****             for multiple-adult stamp sample                        ****
***********************************************;

drop temp1 temp2;
scalar drop c1 c2;

gen temp1=fexp_pp/totinc_pp;
summarize temp1 if single_head==0;
scalar c1=r(mean);
display c1;
gen temp2=prop*fexp_pp/totinc_pp;
summarize temp2 if single_head==0;
scalar c2=r(mean);
display c2;

regress lnfexp_pp lntotinc_pp prop lnhsiz giftfood_pp wicfood_pp
break_pp lunch_pp femhead asguest_pp byguest_pp h0_1 h2_17 h61p if single_head==0;
*MPC(cashinc);
lincom c1*lntotinc_pp-c2*prop;
*MPC(stamps);
lincom c1*(lntotinc_pp+prop)-c2*prop;
*MPC(stamps)-MPC(cash);
lincom c1*prop;
