#delimit;
use outdata, clear;

drop if stamp==0;
gen totinc=fsb+cashinc;
gen fshare=fexp/totinc;
drop if fshare > 1;
drop if fsb>fexp;

*We now have the analysis sample of 494 observations;

gen prop=fsb/totinc;

*We now produce results using size of fcu as household size variable;

gen size=sizefcu;
gen fexp_pp=fexp/size;
gen lnfexp_pp=ln(fexp_pp);
gen totinc_pp=totinc/size;
gen lntotinc_pp=ln(totinc_pp);
gen lnsize=ln(size);
gen giftfood_pp=giftfood/size;
gen wicfood_pp=wicfood/size;
gen asguest_pp=asguest/size;
gen byguest_pp=byguest/size;

gen temp1=fexp_pp/totinc_pp;
summarize temp1;
scalar c1=r(mean);
gen temp2=prop*fexp_pp/totinc_pp;
summarize temp2;
scalar c2=r(mean);

reg lnfexp_pp lntotinc_pp prop lnsize giftfood_pp wicfood_pp
subbreak_pk sublunch_pk femhead asguest_pp byguest_pp;
hettest;
ovtest;
*MPC(cashinc);
lincom c1*lntotinc_pp-c2*prop;
*MPC(stamps);
lincom c1*(lntotinc_pp+prop)-c2*prop;
*MPC(stamps)-MPC(cash);
lincom c1*prop;

reg lnfexp_pp lntotinc_pp prop lnsize giftfood_pp wicfood_pp
subbreak_pk sublunch_pk femhead asguest_pp byguest_pp, robust;

*MPC(cashinc);
lincom c1*lntotinc_pp-c2*prop;
*MPC(stamps);
lincom c1*(lntotinc_pp+prop)-c2*prop;
*MPC(stamps)-MPC(cash);
lincom c1*prop;

scalar drop c1 c2;
drop temp1 temp2;

gen temp1=fexp_pp/totinc_pp if single_head == 0;
summarize temp1 if single_head  == 0;
scalar c1=r(mean);
gen temp2=prop*fexp_pp/totinc_pp if single_head  == 0;
summarize temp2 if single_head  == 0;
scalar c2=r(mean);

reg lnfexp_pp lntotinc_pp prop lnsize giftfood_pp wicfood_pp
subbreak_pk sublunch_pk femhead asguest_pp byguest_pp if single_head == 0;
hettest;
ovtest;

*MPC(cashinc);
lincom c1*lntotinc_pp-c2*prop;
*MPC(stamps);
lincom c1*(lntotinc_pp+prop)-c2*prop;
*MPC(stamps)-MPC(cash);
lincom c1*prop;

drop if single_head == 0;
drop temp1 temp2;
scalar drop c1 c2;

gen temp1=fexp_pp/totinc_pp;
summarize temp1;
scalar c1=r(mean);
gen temp2=prop*fexp_pp/totinc_pp;
summarize temp2;
scalar c2=r(mean);

reg lnfexp_pp lntotinc_pp prop lnsize giftfood_pp wicfood_pp
subbreak_pk sublunch_pk femhead asguest_pp byguest_pp;
hettest;
ovtest;
*MPC(cashinc);
lincom c1*lntotinc_pp-c2*prop;
*MPC(stamps);
lincom c1*(lntotinc_pp+prop)-c2*prop;
*MPC(stamps)-MPC(cash);
lincom c1*prop;


*************************************************************************

	SECOND PART:  Using the re-constructed household size variable.

*************************************************************************;

use outdata, clear;

drop if stamp==0;
gen totinc=fsb+cashinc;
gen fshare=fexp/totinc;
drop if fshare > 1;
drop if fsb>fexp;

*We now have the analysis sample of 494 observations;

gen prop=fsb/totinc;

*We now produce results using re-constructed household size variable;

gen size=newhhsiz;
gen fexp_pp=fexp/size;
gen lnfexp_pp=ln(fexp_pp);
gen totinc_pp=totinc/size;
gen lntotinc_pp=ln(totinc_pp);
gen lnsize=ln(size);
gen giftfood_pp=giftfood/size;
gen wicfood_pp=wicfood/size;
gen asguest_pp=asguest/size;
gen byguest_pp=byguest/size;

gen temp1=fexp_pp/totinc_pp;
summarize temp1;
scalar c1=r(mean);
gen temp2=prop*fexp_pp/totinc_pp;
summarize temp2;
scalar c2=r(mean);

reg lnfexp_pp lntotinc_pp prop lnsize giftfood_pp wicfood_pp
subbreak_pk sublunch_pk femhead asguest_pp byguest_pp h0_1 h2_17 h61p;
hettest;
ovtest;
*MPC(cashinc);
lincom c1*lntotinc_pp-c2*prop;
*MPC(stamps);
lincom c1*(lntotinc_pp+prop)-c2*prop;
*MPC(stamps)-MPC(cash);
lincom c1*prop;

reg lnfexp_pp lntotinc_pp prop lnsize giftfood_pp wicfood_pp
subbreak_pk sublunch_pk femhead asguest_pp byguest_pp h0_1 h2_17 h61p, robust;

*MPC(cashinc);
lincom c1*lntotinc_pp-c2*prop;
*MPC(stamps);
lincom c1*(lntotinc_pp+prop)-c2*prop;
*MPC(stamps)-MPC(cash);
lincom c1*prop;

scalar drop c1 c2;
drop temp1 temp2;

gen temp1=fexp_pp/totinc_pp if single_head == 0;
summarize temp1 if single_head  == 0;
scalar c1=r(mean);
gen temp2=prop*fexp_pp/totinc_pp if single_head  == 0;
summarize temp2 if single_head  == 0;
scalar c2=r(mean);

reg lnfexp_pp lntotinc_pp prop lnsize giftfood_pp wicfood_pp
subbreak_pk sublunch_pk femhead asguest_pp byguest_pp h0_1 h2_17 h61p if single_head == 0;
hettest;
ovtest;

*MPC(cashinc);
lincom c1*lntotinc_pp-c2*prop;
*MPC(stamps);
lincom c1*(lntotinc_pp+prop)-c2*prop;
*MPC(stamps)-MPC(cash);
lincom c1*prop;

drop if single_head == 0;
drop temp1 temp2;
scalar drop c1 c2;

gen temp1=fexp_pp/totinc_pp;
summarize temp1;
scalar c1=r(mean);
gen temp2=prop*fexp_pp/totinc_pp;
summarize temp2;
scalar c2=r(mean);

reg lnfexp_pp lntotinc_pp prop lnsize giftfood_pp wicfood_pp
subbreak_pk sublunch_pk femhead asguest_pp byguest_pp h0_1 h2_17 h61p;
hettest;
ovtest;
*MPC(cashinc);
lincom c1*lntotinc_pp-c2*prop;
*MPC(stamps);
lincom c1*(lntotinc_pp+prop)-c2*prop;
*MPC(stamps)-MPC(cash);
lincom c1*prop;

log close;
clear;
